Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.bea.wli.control.jms
Annotation Type JMSHeader

    @Retention(value=RUNTIME)
    public @interface JMSHeader

Specifies the JMS Header attributes for WLI JMS Control

Required Element Summary
`String` | `JMSCorrelationID` It is a Read/write attribute which can be set to the conversation ID of the listening service.
`String` | `JMSDeliveryMode` It is Read-only attribute.
`String` | `JMSExpiration` It is Read-only attribute.
`String` | `JMSMessageID` It is Read-only attribute.
`String` | `JMSPriority` It is Read-only attribute.
`String` | `JMSRedelivered` It is Read-only attribute.
`long` | `JMSTimestamp` It is Read-only attribute.
`String` | `JMSType` It is Read/write attribute.

Element Detail

### JMSCorrelationID

    public abstract String JMSCorrelationID

  It is a Read/write attribute which can be set to the conversation ID of the listening service.

### JMSDeliveryMode

    public abstract String JMSDeliveryMode

  It is Read-only attribute. Contains the delivery mode specified when the message was sent.

### JMSExpiration

    public abstract String JMSExpiration

  It is Read-only attribute. Calculated as the sum of the message-time-to-live value when the message was sent plus the current GMT.

### JMSMessageID

    public abstract String JMSMessageID

  It is Read-only attribute. Contains a unique identifier for the message.

### JMSPriority

    public abstract String JMSPriority

  It is Read-only attribute. Contains the message's priority.

### JMSRedelivered

    public abstract String JMSRedelivered

  It is Read-only attribute. Indicates that the message may have been delivered but not acknowledged in the past.

### JMSTimestamp

    public abstract long JMSTimestamp

  It is Read-only attribute. Contains the time that the message was handed off by the provider to be sent.

### JMSType

    public abstract String JMSType

  It is Read/write attribute. Can be set to an arbitrary value to distinguish the type of message the sender is sending.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT